PDA

Visualizza la versione completa : problemi con dvdrip


ocioci
15-02-2005, 22:52
Salve a tutti,
premetto che non ho mai usato linux e sto cominciando ad usarlo, ho scaricato da mandrake la versione base del sistema che sta su 3 cd. L'ho installato e fin qui tutto bene, poi mi scarico i programmi precompilati da installare per far funzionare dvdrip, però una volta installati, vado per installare dvdrip e mi dice che non è possibile perchè non è soddisfatto libstdc++-libc6.2-2.so.3.
Cosa devo fare questo programma nn sono riuscito a trovarlo, qualcuno mi può aiutare?
Grazie ciao a tutti.

PS
Ma è vero che con linux va + veloce la conversione da dvd a divx?

Grazie ancora ciao.

Ikitt
15-02-2005, 22:54
Originariamente inviato da ocioci
[...]
Ma è vero che con linux va + veloce la conversione da dvd a divx?

Dipende dal codec usato, alcuni utenti hanno riportato di aver guadagnato qualcosa... A parita' di codec e impostazioni la differenza di prestazioni e' ridotta, a meno di ottimizzazioni molto spinte.

V0D
15-02-2005, 23:39
Prova a vedere se trovi, nell'installazione dei pacchetti, libstdc

almafer
15-02-2005, 23:42
Originariamente inviato da Ikitt
Dipende dal codec usato, alcuni utenti hanno riportato di aver guadagnato qualcosa... A parita' di codec e impostazioni la differenza di prestazioni e' ridotta, a meno di ottimizzazioni molto spinte.
io con mpeg4 di mplayer ho ottenuto dei notevoli aumenti di velocità, un 50-60% in più

lu_ozzie
18-02-2005, 02:46
Ciao io ho un problema abbastanza grosso, per la mia ignoranza, ho seguito la guida su come installare dvd:.rip
Ho installato ImageMagik, Transcode e quasi tutti gli altri pacchetti non obbligatori...
Ora viene il problema: io utilizzo Mandrake 10.0, quindi ho provato a installare Gtk-Perl con il tool graafico, ho installato un po tutto quello che mi sembrava inerente e che contenesse gtk o perl...
Quando provo a installare dvd:.:rip con l'rpm mi dice: non è soddisfatto Gtk-Perl.
Io però ho installato perl...
L'rpm che sto installando si chiama: perl-Video-DVDRip-0.52.2-1.1.fc3.fr.src.rpm ed è l'unico che ho trovato...
Se lo provo a installare da shell:
-perl Makefile.PL OK
-make OK
quando arrivo a make test mi dice:

PERL_DL_NONLAZY=1 /usr/bin/perl5.8.3 "-Iblib/lib" "-Iblib/arch" test.pl
1..1
Can't locate Locale/TextDomain.pm in @INC (@INC contains: blib/lib blib/arch /usr/lib/perl5/5.8.3/i386-linux-thread-multi /usr/lib/perl5/5.8.3 /usr/lib/perl5/site_perl/5.8.3/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.3 /usr/lib/perl5/site_perl /usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.3 /usr/lib/perl5/vendor_perl/5.8.2/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.2 /usr/lib/perl5/vendor_perl/5.8.1/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.1 /usr/lib/perl5/vendor_perl .) at blib/lib/Video/DVDRip/GUI/Main.pm line 12.
BEGIN failed--compilation aborted at blib/lib/Video/DVDRip/GUI/Main.pm line 12.
Compilation failed in require at test.pl line 31.
BEGIN failed--compilation aborted at test.pl line 31.
not ok 1
make: *** [test_dynamic] Error 2

A questo punto sono nel panico non so proprio cosa fare...tenete presente che mi servirebbe una procedura piu o meno a livello di mongolo....
Posto qui perchè siamo a tema, spero che vada bene...

lu_ozzie
18-02-2005, 16:01
:bhò: Nessuno sa nulla? Manca qualche informazione?

kyraz
18-02-2005, 17:15
ma mi domando.... che vuoi fare?

copiare un dvd o creare il divx?

perche' se devi copiare un dvd... basta usare dd ...

Centurione
18-02-2005, 17:47
Originariamente inviato da lu_ozzie
perl-Video-DVDRip-0.52.2-1.1.fc3 .fr.src.rpm
Ho idea che quell'rpm sia per fedora... :stordita:

Perché non aggiorni le repository per urpmi? Qui (http://easyurpmi.zarb.org/index.php?language=en&user%5Bvers%5D=10.0+official&user%5Barch%5D=i586&selection%5Bcontrib%5D=on&mirror%5Bcontrib%5D=ftp%3A%2F%2Fftp.proxad.net&selection%5Bmain%5D=on&mirror%5Bmain%5D=ftp%3A%2F%2Fftp.proxad.net&selection%5Bupdates%5D=on&mirror%5Bupdates%5D=http%3A%2F%2Fgd.tuwien.ac.at&mirror%5Bclub%5D=http%3A%2F%2Fcarroll.aset.psu.edu&mirror%5Bjpackage%5D=http%3A%2F%2Fcarroll.aset.psu .edu&selection%5Bplf-free%5D=on&mirror%5Bplf-free%5D=http%3A%2F%2Fftp.club-internet.fr&selection%5Bplf-nonfree%5D=on&mirror%5Bplf-nonfree%5D=http%3A%2F%2Fftp.club-internet.fr&prefix=) ti ho messo alcuni server, basta che incolli le righe a fondo pagina da una console di root.
Dopodiché con il comando urpmi dvdrip installi il programma e le relative dipendenze, o se preferisci, puoi farlo dal centro di controllo mdk, installazione software. :ciauz:

Nescio
18-02-2005, 17:53
Originariamente inviato da lu_ozzie
Ciao io ho un problema abbastanza grosso, per la mia ignoranza, ho seguito la guida su come installare dvd:.rip
Ho installato ImageMagik, Transcode e quasi tutti gli altri pacchetti non obbligatori...
Ora viene il problema: io utilizzo Mandrake 10.0, quindi ho provato a installare Gtk-Perl con il tool graafico, ho installato un po tutto quello che mi sembrava inerente e che contenesse gtk o perl...
Quando provo a installare dvd:.:rip con l'rpm mi dice: non è soddisfatto Gtk-Perl.
Io però ho installato perl...
L'rpm che sto installando si chiama: perl-Video-DVDRip-0.52.2-1.1.fc3.fr.src.rpm ed è l'unico che ho trovato...
Se lo provo a installare da shell:
-perl Makefile.PL OK
-make OK
quando arrivo a make test mi dice:

PERL_DL_NONLAZY=1 /usr/bin/perl5.8.3 "-Iblib/lib" "-Iblib/arch" test.pl
1..1
Can't locate Locale/TextDomain.pm in @INC (@INC contains: blib/lib blib/arch /usr/lib/perl5/5.8.3/i386-linux-thread-multi /usr/lib/perl5/5.8.3 /usr/lib/perl5/site_perl/5.8.3/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.3 /usr/lib/perl5/site_perl /usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.3 /usr/lib/perl5/vendor_perl/5.8.2/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.2 /usr/lib/perl5/vendor_perl/5.8.1/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.1 /usr/lib/perl5/vendor_perl .) at blib/lib/Video/DVDRip/GUI/Main.pm line 12.
BEGIN failed--compilation aborted at blib/lib/Video/DVDRip/GUI/Main.pm line 12.
Compilation failed in require at test.pl line 31.
BEGIN failed--compilation aborted at test.pl line 31.
not ok 1
make: *** [test_dynamic] Error 2

A questo punto sono nel panico non so proprio cosa fare...tenete presente che mi servirebbe una procedura piu o meno a livello di mongolo....
Posto qui perchè siamo a tema, spero che vada bene...



ma un bell'urpmi no?

ocioci
19-02-2005, 22:40
1)é proprio lo stesso errore che ha dato anche a me quello si lu_ozzie
2)che cosa vuole dire urpmi?
ciao

Loading